<?php

/**
* 
*/
class diary_entry {
	private $de_presence_id;
	private $de_date;
	private $de_type; //money deposit or training
	private $de_training_per_month; //hányadik edzés a hónapban
	private $de_training_per_day; //hányadik edzés a napon
	private $de_first_two; //boolean; első két edzés egyike-e
	private $de_training = null;
	private $de_money_deposit = null;
	private $de_transaction = 0; //ez adja meg, hogy mennyivel csökken, vagy nő az egyenleg
	private $de_balance = 0; //a felhasználóhoz tartozó aktuális egyenleg
	private $de_has_discount = false; //van-e kedvzemény
	private $de_discount_id; //kedvezmény ID

	function __construct($_pr_id, $_date, $_type, $_tpm, $_tpd, $_ft, $_tr = null, $_mod = null) {
		$this->set_de_presence_id($_pr_id);
		$this->set_de_date($_date);
		$this->set_de_type($_type);
		$this->set_de_training_per_month($_tpm);
		$this->set_de_training_per_day($_tpd);
		$this->set_de_first_two($_ft);
		$this->set_de_training($_tr);
		$this->set_de_money_deposit($_mod);

	}

	public function set_de_presence_id($_item) {
		$this->de_presence_id = $_item;
	}

	/* ez majd akkor jöhet, ha lesz presence class
 	public function set_de_presence($_item) {
		$this->de_presence = $_item;
	}
	*/

	public function set_de_date($_item) {
		$this->de_date = $_item;
	}

	public function set_de_type($_item) {
		$this->de_type = $_item;
	}

	public function set_de_training_per_month($_item) {
		$this->de_training_per_month = $_item;
	}

	public function set_de_training_per_day($_item) {
		$this->de_training_per_day = $_item;
	}

	public function set_de_first_two($_item) {
		$this->de_first_two = $_item;
	}

	public function set_de_training($_item) {
		$this->de_training = $_item;
	}

	public function set_de_money_deposit($_item) {
		$this->de_money_deposit = $_item;
	}

	public function set_de_transaction($_item) {
		$this->de_transaction = $_item;
	}

	public function set_de_balance($_item) {
		$this->de_balance = $_item;
	}

	public function set_de_has_discount($_item) {
		$this->de_has_discount = $_item;
	}

	public function set_de_discount_id($_item) {
		$this->de_discount_id = $_item;
	}

	public function get_de_presence_id() {
		return $this->de_presence_id;
	}

	public function get_de_date() {
		return $this->de_date;
	}

	public function get_de_type() {
		return $this->de_type;
	}

	public function get_de_training_per_month() {
		return $this->de_training_per_month;
	}

	public function get_de_training_per_day() {
		return $this->de_training_per_day;
	}

	public function get_de_first_two() {
		return $this->de_first_two;
	}

	public function get_de_training() {
		return $this->de_training;
	}

	public function get_de_money_deposit() {
		return $this->de_money_deposit;
	}

	public function get_de_transaction() {
		return $this->de_transaction;
	}

	public function get_de_balance() {
		return $this->de_balance;
	}

	public function get_de_has_discount() {
		return $this->de_has_discount;
	}

	public function get_de_discount_id() {
		return $this->de_discount_id;
	}

	
}


?>